Bug 253512 - net-mgmt/lldpd: Update to 1.0.8
Summary: net-mgmt/lldpd: Update to 1.0.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-02-14 16:41 UTC by Brad Davis
Modified: 2021-04-17 09:32 UTC (History)
4 users (show)

See Also:
freebsd: maintainer-feedback+


Attachments
patch (1.27 KB, patch)
2021-02-14 16:41 UTC, Brad Davis
no flags Details | Diff
patch with added dependencies and ordered Makefile vars (3.22 KB, patch)
2021-02-14 19:56 UTC, Rainer Hurling
no flags Details | Diff
patch to get rid of some dependencies (524 bytes, patch)
2021-04-13 11:48 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brad Davis freebsd_committer 2021-02-14 16:41:23 UTC
Created attachment 222437 [details]
patch
Comment 1 Automation User 2021-02-14 17:10:43 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/256066241
Comment 2 Rainer Hurling freebsd_committer 2021-02-14 19:56:07 UTC
Created attachment 222445 [details]
patch with added dependencies and ordered Makefile vars

Hi Mathieu, hi Brad,

While reviewing the patch for the update, several things stood out that I changed in attached new patch:

- missing dependencies for OPTION SNMP:
  devel/pcre, ports-mgmt/pkg, and archivers/rpm4
- missing dependency for OPTION XML, if used 
  together with OPTION READLINE: libedit
- post-patch target: REINPLACE_CMD for
  Makefile.* not needed anymore
- Ordered Makefile vars, like suggested by portclippy


I set OPTION DTRACE broken, since it quits with:

/bin/sh ../libtool  --tag=CC    --mode=link cc -I ../include -Wunknown-warning-option -fdiagnostics-show-option -fdiagnostics-color=auto -pipe -Wall -W -Wextra -Wformat -Wformat-security -Wimplicit-fallthrough -Wfatal-errors -Wheader-guard -Wdocumentation -Winline -Wpointer-arith -fno-omit-frame-pointer -Wno-cast-align -Wno-unused-parameter -Wno-missing-field-initializers -Wno-sign-compare -fstack-protector -fstack-protector-all -fstack-protector-strong -fstack-clash-protection -O2 -pipe  -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing -std=gnu99  -Wl,-z,relro -Wl,-z,now -Wl,-rpath,/usr/local/lib -fstack-protector-strong -o libcommon-daemon-client.la  log.lo version.lo compat/libcompat.la -L/usr/local/lib
libtool: link: (cd .libs/libcommon-daemon-client.lax/libcompat.a && ar x "/poudriere/ports/default/net-mgmt/lldpd/work/lldpd-1.0.8/src/compat/.libs/libcompat.a")
libtool: link: ar cr .libs/libcommon-daemon-client.a .libs/log.o .libs/version.o   .libs/libcommon-daemon-client.lax/libcompat.a/empty.o 
libtool: link: ranlib .libs/libcommon-daemon-client.a
libtool: link: rm -fr .libs/libcommon-daemon-client.lax
libtool: link: ( cd ".libs" && rm -f "libcommon-daemon-client.la" && ln -s "../libcommon-daemon-client.la" "libcommon-daemon-client.la" )
Making all in src/daemon
dtrace -C -h -s  -o probes.h
dtrace: failed to open -o: No such file or directory
*** Error code 1
Stop.
make[4]: stopped in /poudriere/ports/default/net-mgmt/lldpd/work/lldpd-1.0.8/src/daemon
*** Error code 1


It would be nice if you could check the patch for functionality and general correctness. 

For the DTRACE option, I suggest that it be marked Broken in the description until further notice.
Comment 3 Mathieu Simon 2021-02-14 21:31:07 UTC
Hi Brad and Rainer

Thank you for your patch(es), I've taken the chance to upload this new tarball to the mirror in the port on my end so that we have both the official download and a mirror for the "just in case".

From my end, the patch looks fine, thank your Rainer for your insights on DTrace, I'm fine with marking it broken.

The new dependency on RPM looks interesting. I'm fine with it, but it surprises me a bit and plan to check out on this later on.

Have you done a runtime test? Usually Vincent, the upstream developer does his due diligence and I've rarely encountered issues with fresh lldpd versions once they built fine on FreeBSD.

From my end: Thumbs up, and thanks!*

Regards
Mathieu

* I've unfortunately been sucked into more non-BSD related work lately.
Comment 4 commit-hook freebsd_committer 2021-02-15 20:18:31 UTC
A commit references this bug:

Author: rhurlin
Date: Mon Feb 15 20:18:12 UTC 2021
New revision: 565335
URL: https://svnweb.freebsd.org/changeset/ports/565335

Log:
  net-mgmt/lldpd: Update to 1.0.8

  Changelog: https://github.com/lldpd/lldpd/compare/1.0.4...1.0.8

  PR:		253512
  Submitted by:	Brad Davis <brd@FreeBSD.org>

Changes:
  head/net-mgmt/lldpd/Makefile
  head/net-mgmt/lldpd/distinfo
  head/net-mgmt/lldpd/pkg-descr
  head/net-mgmt/lldpd/pkg-plist
Comment 5 Rainer Hurling freebsd_committer 2021-02-15 20:21:44 UTC
Hi Brad, hi Simon,

I just committed your patch/port :)

If there are any problems, please feel free to contact me, thanks.
Comment 6 Niclas Zeising freebsd_committer 2021-03-13 07:58:11 UTC
Hi!
I don't understand the addition of a dependency on rpm4 (and pcre and libpkg).  Nowhere in the source code are these libraries mentioned, and they create a huge overhead in terms of dependencies, since rpm4 has a build/run dependency on gcc10.

Can you explain in more detail what breaks without this, alternatively, make the SNMP option default to off?
Comment 7 Brad Davis freebsd_committer 2021-03-13 16:23:29 UTC
(In reply to Niclas Zeising from comment #6)
+1, also perhaps for XML?
Comment 8 Niclas Zeising freebsd_committer 2021-04-13 09:48:39 UTC
Hi!
I still haven't gotten any reply as to why rpm4 is a dependency of lldpd.  It seems totally un-needed and cauess a huge amount of dependencies.  Can this be disabled?
Comment 9 Rainer Hurling freebsd_committer 2021-04-13 11:48:17 UTC
Created attachment 224079 [details]
patch to get rid of some dependencies

Hi Simon, hi Brad,

I think Niclas is right and three dependencies I added in attachment #222445 [details] are not needed. They crept in when I also tested the port outside of Poudriere with DEVELOPER=yes in /etc/make.conf. There it was complained that these dependencies are missing. Sometimes dependencies are assigned wrongly. Sorry for that.

It is not clear to me why XML should also be removed. That is obviously used, isn't it?

In my opinion USES=pkgconfig should also be moved up from the JSON option. Surely the configure script checks whether pkg-config is available independently of JSON?
Comment 10 Niclas Zeising freebsd_committer 2021-04-13 13:58:12 UTC
(In reply to Rainer Hurling from comment #9)
I believe it requres a portrevision bump, since dependencies change.
Comment 11 Niclas Zeising freebsd_committer 2021-04-13 13:58:22 UTC
Thanks for looking into this!
Comment 12 Gert Doering 2021-04-14 07:07:35 UTC
+1 on the "huh, what are these dependencies for" comments - I ran into this as well.  I maintain my ports preferrably by installing binpkgs these days, and having lldpd pull in a bunch of fairly heavy new dependencies came as a surprise

New packages to be INSTALLED:
        binutils: 2.33.1_4,1
        gcc10: 10.2.0
        libarchive: 3.5.1,1
        lua52: 5.2.4
        mpc: 1.1.0_2
        mpfr: 4.1.0
        nspr: 4.29
        nss: 3.62
        popt: 1.18_1
        rpm4: 4.16.1.2

thanks for looking into this.
Comment 13 Rainer Hurling freebsd_committer 2021-04-17 09:32:16 UTC
Committed in https://cgit.freebsd.org/ports/commit/?id=98b50d4c60f26249f944d24abdbcfa931f5c7268.

Thanks for the hint about not needed dependencies.